import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { HighlightJsService } from '../services/highlight-js.service';
import { Language } from '../language.enum';
import { StyleService } from '../services/style.service';
import { SyntaxStyle } from '../syntax-style.enum';
export declare class NgxSyntaxHighlighterComponent implements OnInit, AfterViewInit {
    private styleService;
    private highlightJsService;
    private _initialized;
    private _style;
    style: SyntaxStyle;
    language?: Language;
    code: string;
    codeContainerElement: ElementRef;
    preElement: ElementRef;
    codeElement: ElementRef;
    constructor(styleService: StyleService, highlightJsService: HighlightJsService);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    private _setStyle;
    private _runHighlighter;
}
