import { HighlightJsConfig } from '../highlight-js-config';
import { SyntaxStyle } from '../syntax-style.enum';
export declare class StyleService {
    private document;
    private config;
    private readonly STYLE_NODE_ID;
    private existingStyle;
    constructor(document: any, config: HighlightJsConfig);
    registerStyle(style: SyntaxStyle): Promise<void | {}>;
    removeStyleNode(): void;
    private _addStyleToDocument;
    private _createStyleElement;
    private _getDefaultStyle;
}
