(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('rxjs'), require('rxjs/operators'), require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ngx-syntax-highlighter', ['exports', 'rxjs', 'rxjs/operators', '@angular/common', '@angular/core'], factory) :
    (factory((global['ngx-syntax-highlighter'] = {}),global.rxjs,global.rxjs.operators,global.ng.common,global.ng.core));
}(this, (function (exports,rxjs,operators,i1,i0) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var HighlightJsConfigToken = new i0.InjectionToken('HighlightJsConfig');

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var Language = {
        '1C': '1C',
        'ABNF': 'ABNF',
        'ACCESSLOG': 'ACCESSLOG',
        'ACTIONSCRIPT': 'ACTIONSCRIPT',
        'ADA': 'ADA',
        'ANGELSCRIPT': 'ANGELSCRIPT',
        'APACHE': 'APACHE',
        'APPLESCRIPT': 'APPLESCRIPT',
        'ARCADE': 'ARCADE',
        'ARDUINO': 'ARDUINO',
        'ARMASM': 'ARMASM',
        'ASCIIDOC': 'ASCIIDOC',
        'ASPECTJ': 'ASPECTJ',
        'AUTOHOTKEY': 'AUTOHOTKEY',
        'AUTOIT': 'AUTOIT',
        'AVRASM': 'AVRASM',
        'AWK': 'AWK',
        'AXAPTA': 'AXAPTA',
        'BASH': 'BASH',
        'BASIC': 'BASIC',
        'BNF': 'BNF',
        'BRAINFUCK': 'BRAINFUCK',
        'CAL': 'CAL',
        'CAPNPROTO': 'CAPNPROTO',
        'CEYLON': 'CEYLON',
        'CLEAN': 'CLEAN',
        'CLOJURE-REPL': 'CLOJURE-REPL',
        'CLOJURE': 'CLOJURE',
        'CMAKE': 'CMAKE',
        'COFFEESCRIPT': 'COFFEESCRIPT',
        'COQ': 'COQ',
        'COS': 'COS',
        'CPP': 'CPP',
        'CRMSH': 'CRMSH',
        'CRYSTAL': 'CRYSTAL',
        'CS': 'CS',
        'CSP': 'CSP',
        'CSS': 'CSS',
        'D': 'D',
        'DART': 'DART',
        'DELPHI': 'DELPHI',
        'DIFF': 'DIFF',
        'DJANGO': 'DJANGO',
        'DNS': 'DNS',
        'DOCKERFILE': 'DOCKERFILE',
        'DOS': 'DOS',
        'DSCONFIG': 'DSCONFIG',
        'DTS': 'DTS',
        'DUST': 'DUST',
        'EBNF': 'EBNF',
        'ELIXIR': 'ELIXIR',
        'ELM': 'ELM',
        'ERB': 'ERB',
        'ERLANG-REPL': 'ERLANG-REPL',
        'ERLANG': 'ERLANG',
        'EXCEL': 'EXCEL',
        'FIX': 'FIX',
        'FLIX': 'FLIX',
        'FORTRAN': 'FORTRAN',
        'FSHARP': 'FSHARP',
        'GAMS': 'GAMS',
        'GAUSS': 'GAUSS',
        'GCODE': 'GCODE',
        'GHERKIN': 'GHERKIN',
        'GLSL': 'GLSL',
        'GML': 'GML',
        'GO': 'GO',
        'GOLO': 'GOLO',
        'GRADLE': 'GRADLE',
        'GROOVY': 'GROOVY',
        'HAML': 'HAML',
        'HANDLEBARS': 'HANDLEBARS',
        'HASKELL': 'HASKELL',
        'HAXE': 'HAXE',
        'HSP': 'HSP',
        'HTMLBARS': 'HTMLBARS',
        'HTTP': 'HTTP',
        'HY': 'HY',
        'INFORM7': 'INFORM7',
        'INI': 'INI',
        'IRPF90': 'IRPF90',
        'ISBL': 'ISBL',
        'JAVA': 'JAVA',
        'JAVASCRIPT': 'JAVASCRIPT',
        'JBOSS-CLI': 'JBOSS-CLI',
        'JSON': 'JSON',
        'JULIA-REPL': 'JULIA-REPL',
        'JULIA': 'JULIA',
        'KOTLIN': 'KOTLIN',
        'LASSO': 'LASSO',
        'LDIF': 'LDIF',
        'LEAF': 'LEAF',
        'LESS': 'LESS',
        'LISP': 'LISP',
        'LIVECODESERVER': 'LIVECODESERVER',
        'LIVESCRIPT': 'LIVESCRIPT',
        'LLVM': 'LLVM',
        'LSL': 'LSL',
        'LUA': 'LUA',
        'MAKEFILE': 'MAKEFILE',
        'MARKDOWN': 'MARKDOWN',
        'MATHEMATICA': 'MATHEMATICA',
        'MATLAB': 'MATLAB',
        'MAXIMA': 'MAXIMA',
        'MEL': 'MEL',
        'MERCURY': 'MERCURY',
        'MIPSASM': 'MIPSASM',
        'MIZAR': 'MIZAR',
        'MOJOLICIOUS': 'MOJOLICIOUS',
        'MONKEY': 'MONKEY',
        'MOONSCRIPT': 'MOONSCRIPT',
        'N1QL': 'N1QL',
        'NGINX': 'NGINX',
        'NIMROD': 'NIMROD',
        'NIX': 'NIX',
        'NSIS': 'NSIS',
        'OBJECTIVEC': 'OBJECTIVEC',
        'OCAML': 'OCAML',
        'OPENSCAD': 'OPENSCAD',
        'OXYGENE': 'OXYGENE',
        'PARSER3': 'PARSER3',
        'PERL': 'PERL',
        'PF': 'PF',
        'PGSQL': 'PGSQL',
        'PHP': 'PHP',
        'PLAINTEXT': 'PLAINTEXT',
        'PONY': 'PONY',
        'POWERSHELL': 'POWERSHELL',
        'PROCESSING': 'PROCESSING',
        'PROFILE': 'PROFILE',
        'PROLOG': 'PROLOG',
        'PROPERTIES': 'PROPERTIES',
        'PROTOBUF': 'PROTOBUF',
        'PUPPET': 'PUPPET',
        'PUREBASIC': 'PUREBASIC',
        'PYTHON': 'PYTHON',
        'Q': 'Q',
        'QML': 'QML',
        'R': 'R',
        'REASONML': 'REASONML',
        'RIB': 'RIB',
        'ROBOCONF': 'ROBOCONF',
        'ROUTEROS': 'ROUTEROS',
        'RSL': 'RSL',
        'RUBY': 'RUBY',
        'RULESLANGUAGE': 'RULESLANGUAGE',
        'RUST': 'RUST',
        'SAS': 'SAS',
        'SCALA': 'SCALA',
        'SCHEME': 'SCHEME',
        'SCILAB': 'SCILAB',
        'SCSS': 'SCSS',
        'SHELL': 'SHELL',
        'SMALI': 'SMALI',
        'SMALLTALK': 'SMALLTALK',
        'SML': 'SML',
        'SQF': 'SQF',
        'SQL': 'SQL',
        'STAN': 'STAN',
        'STATA': 'STATA',
        'STEP21': 'STEP21',
        'STYLUS': 'STYLUS',
        'SUBUNIT': 'SUBUNIT',
        'SWIFT': 'SWIFT',
        'TAGGERSCRIPT': 'TAGGERSCRIPT',
        'TAP': 'TAP',
        'TCL': 'TCL',
        'TEX': 'TEX',
        'THRIFT': 'THRIFT',
        'TP': 'TP',
        'TWIG': 'TWIG',
        'TYPESCRIPT': 'TYPESCRIPT',
        'VALA': 'VALA',
        'VBNET': 'VBNET',
        'VBSCRIPT-HTML': 'VBSCRIPT-HTML',
        'VBSCRIPT': 'VBSCRIPT',
        'VERILOG': 'VERILOG',
        'VHDL': 'VHDL',
        'VIM': 'VIM',
        'X86ASM': 'X86ASM',
        'XL': 'XL',
        'XML': 'XML',
        'XQUERY': 'XQUERY',
        'YAML': 'YAML',
        'ZEPHIR': 'ZEPHIR',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var HighlightJsService = /** @class */ (function () {
        function HighlightJsService(config) {
            this.config = config;
            this._initialized = new rxjs.BehaviorSubject(false);
            // TODO - Make the timeout configurable configurable
            this._timeoutError = 60000; // ms
            // ms
            this._hljsSubject = new rxjs.BehaviorSubject(null);
            this._init();
        }
        /**
         * @param {?} lang
         * @return {?}
         */
        HighlightJsService.prototype.registerLanguage = /**
         * @param {?} lang
         * @return {?}
         */
            function (lang) {
                // I converted this method to use observables but the dynamic import + dynamic lang name
                // does not play nice.  Wrapping the import like from(import()) does not work.  Which is
                // a shame because the code is much cleaner :(
                var _this = this;
                return new Promise(function (resolveMain, rejectMain) {
                    /** @type {?} */
                    var l = lang.toLowerCase();
                    import("highlight.js/lib/languages/" + l).then(function (javascript) {
                        _this._executeHljsCommand(function (hljs) {
                            hljs.registerLanguage(l, javascript.default);
                        }).subscribe(function (result) {
                            resolveMain(result);
                        }, function (err) {
                            resolveMain(false);
                            console.error("Error loading highlight.js language: " + l + ".");
                            console.error('Error', err);
                        });
                    });
                });
            };
        /**
         * @param {?} block
         * @return {?}
         */
        HighlightJsService.prototype.highlightBlock = /**
         * @param {?} block
         * @return {?}
         */
            function (block) {
                return this._executeHljsCommand(function (hljs) {
                    hljs.highlightBlock(block.nativeElement);
                });
            };
        /**
         * @private
         * @return {?}
         */
        HighlightJsService.prototype._init = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var hljsObs;
                if (this._allLanguagesSpecifed(this.config)) {
                    hljsObs = this._initHljsWithAllLanguages();
                }
                else {
                    hljsObs = rxjs.zip(this._initHljsWithNoLanguages(), this._registerLanguagesFromConfig());
                }
                hljsObs.subscribe(function (hljs) {
                    // console.log('hljs-init-complete', hljs);
                    _this._initialized.next(true);
                });
            };
        /**
         * @private
         * @param {?} config
         * @return {?}
         */
        HighlightJsService.prototype._allLanguagesSpecifed = /**
         * @private
         * @param {?} config
         * @return {?}
         */
            function (config) {
                return config != null && config.languages === 'all';
            };
        /**
         * @private
         * @param {?} config
         * @return {?}
         */
        HighlightJsService.prototype._someLanguagesSpecified = /**
         * @private
         * @param {?} config
         * @return {?}
         */
            function (config) {
                return (config != null && config.languages != null && config.languages.length > 0);
            };
        /**
         * @private
         * @return {?}
         */
        HighlightJsService.prototype._registerLanguagesFromConfig = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.config.languages == null) {
                    // console.log('no-languages');
                    return rxjs.of({});
                }
                return rxjs.from(this.config.languages).pipe(operators.map(function (lang) { return rxjs.from(_this.registerLanguage(Language[lang])); }));
            };
        /**
         * @private
         * @return {?}
         */
        HighlightJsService.prototype._initHljsWithNoLanguages = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var obs = rxjs.from(import('highlight.js/lib/highlight'));
                return this._mapHljs(obs);
            };
        /**
         * @private
         * @return {?}
         */
        HighlightJsService.prototype._initHljsWithAllLanguages = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var obs = rxjs.from(import('highlight.js'));
                return this._mapHljs(obs);
            };
        /**
         * @private
         * @param {?} hljsObs
         * @return {?}
         */
        HighlightJsService.prototype._mapHljs = /**
         * @private
         * @param {?} hljsObs
         * @return {?}
         */
            function (hljsObs) {
                var _this = this;
                return hljsObs.pipe(
                // delay(5000),
                operators.tap(function (hljs) {
                    /** @type {?} */
                    var library = hljs.default;
                    library.configure(Object.assign({}));
                    _this._hljsSubject.next(library);
                }));
            };
        /**
         * @private
         * @param {?} hljsFn
         * @return {?}
         */
        HighlightJsService.prototype._executeHljsCommand = /**
         * @private
         * @param {?} hljsFn
         * @return {?}
         */
            function (hljsFn) {
                // The purpose of this method is to wrap all hljs calls with timeout logic.
                // Since hljs is loaded asynchronously we can only access it through our Subject.
                // So we wrap it in this method so we don't have to duplicate timer code all over
                // the place.
                var _this = this;
                return new rxjs.Observable(function (observer) {
                    /** @type {?} */
                    var hljsSub;
                    /** @type {?} */
                    var t = rxjs.timer(_this._timeoutError).subscribe(function () {
                        hljsSub.unsubscribe();
                        observer.error("Failed to load Highlight.js within " + _this._timeoutError + "ms");
                    });
                    hljsSub = _this._hljsSubject.subscribe(function (hljs) {
                        if (hljs != null) {
                            // Execute our hljs command
                            hljsFn(hljs);
                            if (t != null) {
                                t.unsubscribe();
                            }
                            observer.next(true);
                            observer.complete();
                        }
                    });
                });
            };
        HighlightJsService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        HighlightJsService.ctorParameters = function () {
            return [
                { type: undefined, decorators: [{ type: i0.Inject, args: [HighlightJsConfigToken,] }] }
            ];
        };
        /** @nocollapse */ HighlightJsService.ngInjectableDef = i0.defineInjectable({ factory: function HighlightJsService_Factory() { return new HighlightJsService(i0.inject(HighlightJsConfigToken)); }, token: HighlightJsService, providedIn: "root" });
        return HighlightJsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var SyntaxStyle = {
        'A11Y-DARK': 'a11y-dark.css',
        'A11Y-LIGHT': 'a11y-light.css',
        'AGATE': 'agate.css',
        'AN-OLD-HOPE': 'an-old-hope.css',
        'ANDROIDSTUDIO': 'androidstudio.css',
        'ARDUINO-LIGHT': 'arduino-light.css',
        'ARTA': 'arta.css',
        'ASCETIC': 'ascetic.css',
        'ATELIER-CAVE-DARK': 'atelier-cave-dark.css',
        'ATELIER-CAVE-LIGHT': 'atelier-cave-light.css',
        'ATELIER-DUNE-DARK': 'atelier-dune-dark.css',
        'ATELIER-DUNE-LIGHT': 'atelier-dune-light.css',
        'ATELIER-ESTUARY-DARK': 'atelier-estuary-dark.css',
        'ATELIER-ESTUARY-LIGHT': 'atelier-estuary-light.css',
        'ATELIER-FOREST-DARK': 'atelier-forest-dark.css',
        'ATELIER-FOREST-LIGHT': 'atelier-forest-light.css',
        'ATELIER-HEATH-DARK': 'atelier-heath-dark.css',
        'ATELIER-HEATH-LIGHT': 'atelier-heath-light.css',
        'ATELIER-LAKESIDE-DARK': 'atelier-lakeside-dark.css',
        'ATELIER-LAKESIDE-LIGHT': 'atelier-lakeside-light.css',
        'ATELIER-PLATEAU-DARK': 'atelier-plateau-dark.css',
        'ATELIER-PLATEAU-LIGHT': 'atelier-plateau-light.css',
        'ATELIER-SAVANNA-DARK': 'atelier-savanna-dark.css',
        'ATELIER-SAVANNA-LIGHT': 'atelier-savanna-light.css',
        'ATELIER-SEASIDE-DARK': 'atelier-seaside-dark.css',
        'ATELIER-SEASIDE-LIGHT': 'atelier-seaside-light.css',
        'ATELIER-SULPHURPOOL-DARK': 'atelier-sulphurpool-dark.css',
        'ATELIER-SULPHURPOOL-LIGHT': 'atelier-sulphurpool-light.css',
        'ATOM-ONE-DARK-REASONABLE': 'atom-one-dark-reasonable.css',
        'ATOM-ONE-DARK': 'atom-one-dark.css',
        'ATOM-ONE-LIGHT': 'atom-one-light.css',
        'BROWN-PAPER': 'brown-paper.css',
        'BROWN-PAPERSQ': 'brown-papersq.png',
        'CODEPEN-EMBED': 'codepen-embed.css',
        'COLOR-BREWER': 'color-brewer.css',
        'DARCULA': 'darcula.css',
        'DARK': 'dark.css',
        'DARKULA': 'darkula.css',
        'DEFAULT': 'default.css',
        'DOCCO': 'docco.css',
        'DRACULA': 'dracula.css',
        'FAR': 'far.css',
        'FOUNDATION': 'foundation.css',
        'GITHUB-GIST': 'github-gist.css',
        'GITHUB': 'github.css',
        'GML': 'gml.css',
        'GOOGLECODE': 'googlecode.css',
        'GRAYSCALE': 'grayscale.css',
        'GRUVBOX-DARK': 'gruvbox-dark.css',
        'GRUVBOX-LIGHT': 'gruvbox-light.css',
        'HOPSCOTCH': 'hopscotch.css',
        'HYBRID': 'hybrid.css',
        'IDEA': 'idea.css',
        'IR-BLACK': 'ir-black.css',
        'ISBL-EDITOR-DARK': 'isbl-editor-dark.css',
        'ISBL-EDITOR-LIGHT': 'isbl-editor-light.css',
        'KIMBIE.DARK': 'kimbie.dark.css',
        'KIMBIE.LIGHT': 'kimbie.light.css',
        'LIGHTFAIR': 'lightfair.css',
        'MAGULA': 'magula.css',
        'MONO-BLUE': 'mono-blue.css',
        'MONOKAI-SUBLIME': 'monokai-sublime.css',
        'MONOKAI': 'monokai.css',
        'NORD': 'nord.css',
        'OBSIDIAN': 'obsidian.css',
        'OCEAN': 'ocean.css',
        'PARAISO-DARK': 'paraiso-dark.css',
        'PARAISO-LIGHT': 'paraiso-light.css',
        'POJOAQUE': 'pojoaque.css',
        'PUREBASIC': 'purebasic.css',
        'QTCREATOR_DARK': 'qtcreator_dark.css',
        'QTCREATOR_LIGHT': 'qtcreator_light.css',
        'RAILSCASTS': 'railscasts.css',
        'RAINBOW': 'rainbow.css',
        'ROUTEROS': 'routeros.css',
        'SCHOOL-BOOK': 'school-book.css',
        'SHADES-OF-PURPLE': 'shades-of-purple.css',
        'SOLARIZED-DARK': 'solarized-dark.css',
        'SOLARIZED-LIGHT': 'solarized-light.css',
        'SUNBURST': 'sunburst.css',
        'TOMORROW-NIGHT-BLUE': 'tomorrow-night-blue.css',
        'TOMORROW-NIGHT-BRIGHT': 'tomorrow-night-bright.css',
        'TOMORROW-NIGHT-EIGHTIES': 'tomorrow-night-eighties.css',
        'TOMORROW-NIGHT': 'tomorrow-night.css',
        'TOMORROW': 'tomorrow.css',
        'VS': 'vs.css',
        'VS2015': 'vs2015.css',
        'XCODE': 'xcode.css',
        'XT256': 'xt256.css',
        'ZENBURN': 'zenburn.css',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StyleService = /** @class */ (function () {
        function StyleService(document, config) {
            this.document = document;
            this.config = config;
            this.STYLE_NODE_ID = 'highlightJsStyleNode';
        }
        /**
         * @param {?} style
         * @return {?}
         */
        StyleService.prototype.registerStyle = /**
         * @param {?} style
         * @return {?}
         */
            function (style) {
                return __awaiter(this, void 0, void 0, function () {
                    var _this = this;
                    return __generator(this, function (_a) {
                        if (!this.existingStyle || (style && this.existingStyle !== style)) {
                            style = style || this.config.style || this._getDefaultStyle();
                            this.existingStyle = style;
                        }
                        else {
                            return [2 /*return*/, Promise.resolve()];
                        }
                        return [2 /*return*/, new Promise(function (resolveMain, rejectMain) {
                                /** @type {?} */
                                var s = style.toLowerCase();
                                import("highlight.js/styles/" + s).then(function (css) {
                                    _this._addStyleToDocument(css.default);
                                    resolveMain(true);
                                });
                            })];
                    });
                });
            };
        /**
         * @return {?}
         */
        StyleService.prototype.removeStyleNode = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var node = this.document.getElementById(this.STYLE_NODE_ID);
                if (node != null) {
                    console.log('remove-style-node');
                    node.parentNode.removeChild(node);
                }
            };
        /**
         * @private
         * @param {?} styles
         * @return {?}
         */
        StyleService.prototype._addStyleToDocument = /**
         * @private
         * @param {?} styles
         * @return {?}
         */
            function (styles) {
                /** @type {?} */
                var node = this._createStyleElement();
                node.innerHTML = styles;
                this.document.body.appendChild(node);
            };
        /**
         * @private
         * @return {?}
         */
        StyleService.prototype._createStyleElement = /**
         * @private
         * @return {?}
         */
            function () {
                this.removeStyleNode();
                /** @type {?} */
                var styleNode = this.document.createElement('style');
                styleNode.id = this.STYLE_NODE_ID;
                return styleNode;
            };
        /**
         * @private
         * @return {?}
         */
        StyleService.prototype._getDefaultStyle = /**
         * @private
         * @return {?}
         */
            function () {
                return SyntaxStyle.GITHUB;
            };
        StyleService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        StyleService.ctorParameters = function () {
            return [
                { type: undefined, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
                { type: undefined, decorators: [{ type: i0.Inject, args: [HighlightJsConfigToken,] }] }
            ];
        };
        /** @nocollapse */ StyleService.ngInjectableDef = i0.defineInjectable({ factory: function StyleService_Factory() { return new StyleService(i0.inject(i1.DOCUMENT), i0.inject(HighlightJsConfigToken)); }, token: StyleService, providedIn: "root" });
        return StyleService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxSyntaxHighlighterComponent = /** @class */ (function () {
        function NgxSyntaxHighlighterComponent(styleService, highlightJsService) {
            this.styleService = styleService;
            this.highlightJsService = highlightJsService;
        }
        Object.defineProperty(NgxSyntaxHighlighterComponent.prototype, "style", {
            get: /**
             * @return {?}
             */ function () {
                return this._style;
            },
            set: /**
             * @param {?} s
             * @return {?}
             */ function (s) {
                this._setStyle(s);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NgxSyntaxHighlighterComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @return {?}
         */
        NgxSyntaxHighlighterComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                return __awaiter(this, void 0, void 0, function () {
                    var _this = this;
                    return __generator(this, function (_a) {
                        this.highlightJsService._initialized.subscribe(function (serviceInitialized) {
                            return __awaiter(_this, void 0, void 0, function () {
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0:
                                            if (!serviceInitialized) {
                                                return [2 /*return*/];
                                            }
                                            return [4 /*yield*/, this.styleService.registerStyle(this.style)];
                                        case 1:
                                            _a.sent();
                                            console.log(this.language);
                                            if (!(this.language != null))
                                                return [3 /*break*/, 3];
                                            console.log(this.language);
                                            return [4 /*yield*/, this.highlightJsService.registerLanguage(this.language)];
                                        case 2:
                                            _a.sent();
                                            _a.label = 3;
                                        case 3:
                                            this._initialized = true;
                                            // this.codeElement.nativeElement.innerHTML = this.code;
                                            // console.log(this.codeElement.nativeElement.innerHTML);
                                            this._runHighlighter();
                                            return [2 /*return*/];
                                    }
                                });
                            });
                        });
                        return [2 /*return*/];
                    });
                });
            };
        /**
         * @private
         * @param {?} style
         * @return {?}
         */
        NgxSyntaxHighlighterComponent.prototype._setStyle = /**
         * @private
         * @param {?} style
         * @return {?}
         */
            function (style) {
                return __awaiter(this, void 0, void 0, function () {
                    return __generator(this, function (_a) {
                        switch (_a.label) {
                            case 0:
                                this._style = style;
                                console.log('set-style', style);
                                if (!this._initialized)
                                    return [3 /*break*/, 2];
                                return [4 /*yield*/, this.styleService.registerStyle(style)];
                            case 1:
                                _a.sent();
                                this._runHighlighter();
                                _a.label = 2;
                            case 2: return [2 /*return*/];
                        }
                    });
                });
            };
        /**
         * @private
         * @return {?}
         */
        NgxSyntaxHighlighterComponent.prototype._runHighlighter = /**
         * @private
         * @return {?}
         */
            function () {
                this.highlightJsService.highlightBlock(this.preElement).subscribe(function (result) {
                    console.log('run-highlighter-result', result);
                }, function (err) {
                    console.log('run-highlighter-error', err);
                }, function () {
                    console.log('run-highlighter-complete');
                });
            };
        NgxSyntaxHighlighterComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ngx-syntax-highlighter',
                        template: "<pre #preElement>\r\n  <!-- <code #codeElement class=\"{{language.toLowerCase()}}\"> -->\r\n      <code #codeElement>\r\n    {{code}}\r\n  </code>\r\n</pre>\r\n",
                        encapsulation: i0.ViewEncapsulation.None,
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        NgxSyntaxHighlighterComponent.ctorParameters = function () {
            return [
                { type: StyleService },
                { type: HighlightJsService }
            ];
        };
        NgxSyntaxHighlighterComponent.propDecorators = {
            style: [{ type: i0.Input, args: ['style',] }],
            language: [{ type: i0.Input }],
            code: [{ type: i0.Input }],
            codeContainerElement: [{ type: i0.ViewChild, args: ['codeContainer',] }],
            preElement: [{ type: i0.ViewChild, args: ['preElement',] }],
            codeElement: [{ type: i0.ViewChild, args: ['codeElement',] }]
        };
        return NgxSyntaxHighlighterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxHighlightJsModule = /** @class */ (function () {
        function NgxHighlightJsModule() {
        }
        /**
         * @param {?=} config
         * @return {?}
         */
        NgxHighlightJsModule.forRoot = /**
         * @param {?=} config
         * @return {?}
         */
            function (config) {
                return {
                    ngModule: NgxHighlightJsModule,
                    providers: [{ provide: HighlightJsConfigToken, useValue: config }]
                };
            };
        NgxHighlightJsModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [NgxSyntaxHighlighterComponent],
                        imports: [],
                        exports: [NgxSyntaxHighlighterComponent]
                    },] }
        ];
        return NgxHighlightJsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxSyntaxHighlighterComponent = NgxSyntaxHighlighterComponent;
    exports.NgxHighlightJsModule = NgxHighlightJsModule;
    exports.SyntaxStyle = SyntaxStyle;
    exports.Language = Language;
    exports.ɵb = HighlightJsConfigToken;
    exports.ɵc = HighlightJsService;
    exports.ɵa = StyleService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ngx-syntax-highlighter.umd.js.map